"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getOwnPropertyDescriptor = _interopRequireDefault(require("@babel/runtime/core-js/object/get-own-property-descriptor"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _applyDecoratedDescriptor2 = _interopRequireDefault(require("@babel/runtime/helpers/applyDecoratedDescriptor"));

var _react = _interopRequireWildcard(require("react"));

var _dva = require("dva");

var _debounce = _interopRequireDefault(require("lodash-decorators/debounce"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _router = require("dva/router");

var _menu = _interopRequireDefault(require("antd/lib/menu"));

require("antd/lib/menu/style/css");

var _icon = _interopRequireDefault(require("antd/lib/icon"));

require("antd/lib/icon/style/css");

var _spin = _interopRequireDefault(require("antd/lib/spin"));

require("antd/lib/spin/style/css");

var _avatar = _interopRequireDefault(require("antd/lib/avatar"));

require("antd/lib/avatar/style/css");

var _divider = _interopRequireDefault(require("antd/lib/divider"));

require("antd/lib/divider/style/css");

var _tooltip = _interopRequireDefault(require("antd/lib/tooltip"));

require("antd/lib/tooltip/style/css");

var _dropdown = _interopRequireDefault(require("antd/lib/dropdown"));

require("antd/lib/dropdown/style/css");

require("./index.module.css");

var _dec, _dec2, _class, _class2, _class3, _temp2;

var GlobalHeader = (_dec = (0, _dva.connect)(function (_ref) {
  var user = _ref.global.user,
      loading = _ref.loading;
  return {
    user: user,
    fetchingUser: loading.effects['global/fetchUser']
  };
}), _dec2 = (0, _debounce.default)(600), _dec(_class = (_class2 = (_temp2 = _class3 =
/*#__PURE__*/
function (_PureComponent) {
  function GlobalHeader() {
    var _getPrototypeOf2;

    var _temp, _this;

    (0, _classCallCheck2.default)(this, GlobalHeader);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return (0, _possibleConstructorReturn2.default)(_this, (_temp = _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(GlobalHeader)).call.apply(_getPrototypeOf2, [this].concat(args))), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "toggle", function () {
      var _this$props = _this.props,
          collapsed = _this$props.collapsed,
          onCollapse = _this$props.onCollapse;
      onCollapse(!collapsed);

      _this.triggerResizeEvent();
    }), _temp));
  }

  (0, _createClass2.default)(GlobalHeader, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var dispatch = this.props.dispatch;
      dispatch({
        type: 'global/fetchUser'
      });
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.triggerResizeEvent.cancel();
    }
  }, {
    key: "triggerResizeEvent",

    /* eslint-disable*/
    value: function triggerResizeEvent() {
      var event = document.createEvent('HTMLEvents');
      event.initEvent('resize', true, false);
      window.dispatchEvent(event);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          _this$props2$user = _this$props2.user,
          user = _this$props2$user === void 0 ? {} : _this$props2$user,
          collapsed = _this$props2.collapsed,
          isMobile = _this$props2.isMobile,
          logo = _this$props2.logo,
          docLink = _this$props2.docLink,
          onMenuClick = _this$props2.onMenuClick,
          fetchingUser = _this$props2.fetchingUser;

      var menu = _react.default.createElement(_menu.default, {
        className: "global-header-menu",
        selectedKeys: [],
        onClick: onMenuClick
      }, _react.default.createElement(_menu.default.Item, {
        disabled: true
      }, _react.default.createElement(_icon.default, {
        type: "user"
      }), "\u4E2A\u4EBA\u4E2D\u5FC3"), _react.default.createElement(_menu.default.Item, {
        disabled: true
      }, _react.default.createElement(_icon.default, {
        type: "setting"
      }), "\u8BBE\u7F6E"), _react.default.createElement(_menu.default.Divider, null), _react.default.createElement(_menu.default.Item, {
        key: "logout"
      }, _react.default.createElement(_icon.default, {
        type: "logout"
      }), "\u9000\u51FA\u767B\u5F55"));

      return _react.default.createElement("div", {
        className: "global-header"
      }, isMobile && [_react.default.createElement(_router.Link, {
        to: "/",
        className: "global-header-logo",
        key: "logo"
      }, _react.default.createElement("img", {
        src: logo,
        alt: "logo",
        width: "32"
      })), _react.default.createElement(_divider.default, {
        type: "vertical",
        key: "line"
      })], _react.default.createElement(_icon.default, {
        className: "global-header-trigger",
        type: collapsed ? 'menu-unfold' : 'menu-fold',
        onClick: this.toggle
      }), _react.default.createElement("div", {
        className: "global-header-right"
      }, docLink && _react.default.createElement(_tooltip.default, {
        title: "\u4F7F\u7528\u6587\u6863"
      }, _react.default.createElement("a", {
        target: "_blank",
        href: docLink,
        rel: "noopener noreferrer",
        className: "global-header-right-action"
      }, _react.default.createElement(_icon.default, {
        type: "question-circle-o"
      }))), _react.default.createElement(_spin.default, {
        size: "small",
        spinning: fetchingUser,
        style: {
          marginLeft: 8
        }
      }, _react.default.createElement(_dropdown.default, {
        overlay: menu
      }, _react.default.createElement("span", {
        className: "global-header-right-action"
      }, _react.default.createElement(_avatar.default, {
        size: "small",
        className: "global-header-right-account-avatar",
        src: user.avatar || logo
      }), _react.default.createElement("span", {
        className: "global-header-name"
      }, user.userName))))));
    }
  }]);
  (0, _inherits2.default)(GlobalHeader, _PureComponent);
  return GlobalHeader;
}(_react.PureComponent), (0, _defineProperty2.default)(_class3, "propTypes", {
  user: _propTypes.default.object.isRequired,
  collapsed: _propTypes.default.bool.isRequired,
  isMobile: _propTypes.default.bool.isRequired,
  logo: _propTypes.default.string.isRequired,
  docLink: _propTypes.default.string,
  onCollapse: _propTypes.default.func.isRequired,
  onMenuClick: _propTypes.default.func.isRequired
}), _temp2), ((0, _applyDecoratedDescriptor2.default)(_class2.prototype, "triggerResizeEvent", [_dec2], (0, _getOwnPropertyDescriptor.default)(_class2.prototype, "triggerResizeEvent"), _class2.prototype)), _class2)) || _class);
exports.default = GlobalHeader;