"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _react = _interopRequireWildcard(require("react"));

var _reactDocumentTitle = _interopRequireDefault(require("react-document-title"));

var _antd = require("antd");

var _GlobalFooter = _interopRequireDefault(require("../GlobalFooter"));

var _const = require("../../global/const");

require("./styles.module.css");

var copyright = _react.default.createElement(_GlobalFooter.default, {
  copyright: _react.default.createElement(_react.Fragment, null, "Copyright ", _react.default.createElement(_antd.Icon, {
    type: "copyright"
  }), " ", _const.COPYRIGHT)
});

var UserLayout =
/*#__PURE__*/
function (_React$PureComponent) {
  function UserLayout() {
    (0, _classCallCheck2.default)(this, UserLayout);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(UserLayout).apply(this, arguments));
  }

  (0, _createClass2.default)(UserLayout, [{
    key: "getPageTitle",
    value: function getPageTitle() {
      var _this$props = this.props,
          routerData = _this$props.routerData,
          location = _this$props.location;
      var pathname = location.pathname;
      var title = _const.TITLE;

      if (routerData && routerData[pathname] && routerData[pathname].name) {
        title = "".concat(routerData[pathname].name, " - ").concat(_const.TITLE);
      }

      return title;
    }
  }, {
    key: "render",
    value: function render() {
      // const { routerData, match } = this.props;
      return _react.default.createElement(_reactDocumentTitle.default, {
        title: this.getPageTitle()
      }, _react.default.createElement("div", {
        className: "user-container"
      }, this.props.children, copyright));
    }
  }]);
  (0, _inherits2.default)(UserLayout, _React$PureComponent);
  return UserLayout;
}(_react.default.PureComponent);

var _default = UserLayout;
exports.default = _default;