"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

function fixedZero(val) {
  return val * 1 < 10 ? "0".concat(val) : val;
}

var CountDown =
/*#__PURE__*/
function (_Component) {
  function CountDown(_props) {
    var _this;

    (0, _classCallCheck2.default)(this, CountDown);
    _this = (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(CountDown).call(this, _props));
    (0, _defineProperty2.default)((0, _defineProperty2.default)((0, _defineProperty2.default)((0, _defineProperty2.default)((0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "timer", 0), "interval", 1000), "initTime", function (props) {
      var lastTime = 0;
      var targetTime = 0;

      try {
        if (Object.prototype.toString.call(props.target) === '[object Date]') {
          targetTime = props.target.getTime();
        } else {
          targetTime = new Date(props.target).getTime();
        }
      } catch (e) {
        throw new Error('invalid target prop', e);
      }

      lastTime = targetTime - new Date().getTime();
      return {
        lastTime: lastTime < 0 ? 0 : lastTime
      };
    }), "defaultFormat", function (time) {
      var hours = 60 * 60 * 1000;
      var minutes = 60 * 1000;
      var h = Math.floor(time / hours);
      var m = Math.floor((time - h * hours) / minutes);
      var s = Math.floor((time - h * hours - m * minutes) / 1000);
      return _react.default.createElement("span", null, fixedZero(h), ":", fixedZero(m), ":", fixedZero(s));
    }), "tick", function () {
      var onEnd = _this.props.onEnd;
      var lastTime = _this.state.lastTime;
      _this.timer = setTimeout(function () {
        if (lastTime < _this.interval) {
          clearTimeout(_this.timer);

          _this.setState({
            lastTime: 0
          }, function () {
            if (onEnd) {
              onEnd();
            }
          });
        } else {
          lastTime -= _this.interval;

          _this.setState({
            lastTime: lastTime
          }, function () {
            _this.tick();
          });
        }
      }, _this.interval);
    });

    var _this$initTime = _this.initTime(_props),
        _lastTime = _this$initTime.lastTime;

    _this.state = {
      lastTime: _lastTime
    };
    return _this;
  }

  (0, _createClass2.default)(CountDown, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.tick();
    }
  }, {
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      var _this2 = this;

      var target = this.props.target;

      if (target !== nextProps.target) {
        clearTimeout(this.timer);

        var _this$initTime2 = this.initTime(nextProps),
            lastTime = _this$initTime2.lastTime;

        this.setState({
          lastTime: lastTime
        }, function () {
          _this2.tick();
        });
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      clearTimeout(this.timer);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          _this$props$format = _this$props.format,
          format = _this$props$format === void 0 ? this.defaultFormat : _this$props$format,
          onEnd = _this$props.onEnd,
          rest = (0, _objectWithoutProperties2.default)(_this$props, ["format", "onEnd"]);
      var lastTime = this.state.lastTime;
      var result = format(lastTime);
      return _react.default.createElement("span", rest, result);
    }
  }]);
  (0, _inherits2.default)(CountDown, _Component);
  return CountDown;
}(_react.Component);

var _default = CountDown;
exports.default = _default;