"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _antd = require("antd");

var _typeConfig = _interopRequireDefault(require("./typeConfig"));

require("./index.module.css");

var Exception = function Exception(_ref) {
  var className = _ref.className,
      _ref$linkElement = _ref.linkElement,
      linkElement = _ref$linkElement === void 0 ? 'a' : _ref$linkElement,
      type = _ref.type,
      title = _ref.title,
      desc = _ref.desc,
      img = _ref.img,
      actions = _ref.actions,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["className", "linkElement", "type", "title", "desc", "img", "actions"]);
  var pageType = type in _typeConfig.default ? type : '404';
  var clsString = (0, _classnames.default)("exception", className);
  return _react.default.createElement("div", (0, _extends2.default)({
    className: clsString
  }, rest), _react.default.createElement("div", {
    className: "imgBlock"
  }, _react.default.createElement("div", {
    className: "imgEle",
    style: {
      backgroundImage: "url(".concat(img || _typeConfig.default[pageType].img, ")")
    }
  })), _react.default.createElement("div", {
    className: "content"
  }, _react.default.createElement("h1", null, title || _typeConfig.default[pageType].title), _react.default.createElement("div", {
    className: "desc"
  }, desc || _typeConfig.default[pageType].desc), _react.default.createElement("div", {
    className: "actions"
  }, actions || (0, _react.createElement)(linkElement, {
    to: '/',
    href: '/'
  }, _react.default.createElement(_antd.Button, {
    type: "primary"
  }, "\u8FD4\u56DE\u9996\u9875")))));
};

var _default = Exception;
exports.default = _default;