"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

require("./index.module.css");

var GlobalFooter = function GlobalFooter(_ref) {
  var className = _ref.className,
      links = _ref.links,
      copyright = _ref.copyright;
  var clsString = (0, _classnames.default)("globalFooter", className);
  return _react.default.createElement("div", {
    className: clsString
  }, links && _react.default.createElement("div", {
    className: "links"
  }, links.map(function (link) {
    return _react.default.createElement("a", {
      key: link.key,
      target: link.blankTarget ? '_blank' : '_self',
      href: link.href
    }, link.title);
  })), copyright && _react.default.createElement("div", {
    className: "copyright"
  }, copyright));
};

var _default = GlobalFooter;
exports.default = _default;