"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _dva = require("dva");

var _antd = require("antd");

require("./styles.module.css");

var _dec, _class;

var SubMenu = _antd.Menu.SubMenu;
var MenuItemGroup = _antd.Menu.ItemGroup;
var ShopList = (_dec = (0, _dva.connect)(function (_ref) {
  var shops = _ref.global.shops,
      loading = _ref.loading;
  return {
    shops: shops,
    fetchingShop: loading.effects['global/fetchShop']
  };
}), _dec(_class =
/*#__PURE__*/
function (_Component) {
  function ShopList() {
    var _getPrototypeOf2;

    var _temp, _this;

    (0, _classCallCheck2.default)(this, ShopList);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return (0, _possibleConstructorReturn2.default)(_this, (_temp = _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(ShopList)).call.apply(_getPrototypeOf2, [this].concat(args))), (0, _defineProperty2.default)((0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      toggle: false
    }), "handleItemClick", function (_ref2) {
      var shopId = _ref2.key;
      if (!shopId) return;
      var dispatch = _this.props.dispatch;
      dispatch({
        type: 'global/switch',
        payload: {
          shopId: shopId
        }
      });
    }), _temp));
  }

  (0, _createClass2.default)(ShopList, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this$props = this.props,
          dispatch = _this$props.dispatch,
          shops = _this$props.shops; // only request data once

      if (!shops || !shops.length) {
        dispatch({
          type: "global/fetchShop"
        });
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          _this$props2$shops = _this$props2.shops,
          shops = _this$props2$shops === void 0 ? [] : _this$props2$shops,
          fetchingShop = _this$props2.fetchingShop,
          isMobile = _this$props2.isMobile;
      if (!shops || !shops.length) return '暂无门店';
      var thisShop = shops && shops.length && shops.find(function (shop) {
        return shop && shop.selected;
      });
      if (!thisShop) return '暂无门店';
      return _react.default.createElement("div", {
        className: "shops__menu__wrapper"
      }, _react.default.createElement(_antd.Spin, {
        spinning: fetchingShop
      }, _react.default.createElement(_antd.Menu, {
        style: {
          width: '100%'
        },
        selectable: true,
        theme: "dark",
        mode: isMobile ? 'inline' : 'vertical'
        /*  selectedKeys={[thisShop.id]} */
        ,
        onClick: this.handleItemClick
      }, _react.default.createElement(SubMenu, {
        key: thisShop.id,
        title: thisShop ? _react.default.createElement("span", null, thisShop.shopLogo ? _react.default.createElement(_antd.Avatar, {
          src: thisShop.shopLogo,
          alt: thisShop.shopName
        }) : _react.default.createElement(_antd.Icon, {
          type: "shop"
        }), " ", _react.default.createElement("span", {
          className: "shops__current"
        }, thisShop.shopName), " ") : '无关联门店'
      }, _react.default.createElement(MenuItemGroup, {
        title: "\u5207\u6362\u95E8\u5E97"
      }, shops.length >= 2 && shops.map(function (_ref3) {
        var id = _ref3.id,
            selected = _ref3.selected,
            shopLogo = _ref3.shopLogo,
            shopName = _ref3.shopName;
        return !selected && _react.default.createElement(_antd.Menu.Item, {
          key: id,
          disabled: selected
        }, _react.default.createElement("span", null, shopLogo ? _react.default.createElement(_antd.Avatar, {
          src: shopLogo,
          alt: shopName
        }) : _react.default.createElement(_antd.Icon, {
          type: "shop"
        }), " ", _react.default.createElement("span", null, shopName), " "));
      }))))));
    }
  }]);
  (0, _inherits2.default)(ShopList, _Component);
  return ShopList;
}(_react.Component)) || _class);
exports.default = ShopList;