"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _dva = require("dva");

var _antd = require("antd");

var _Ellipsis = _interopRequireDefault(require("../../components/Ellipsis"));

var _styles = _interopRequireDefault(require("./styles.less"));

var _dec, _class;

var ShopList = (_dec = (0, _dva.connect)(function (_ref) {
  var shops = _ref.global.shops,
      loading = _ref.loading;
  return {
    shops: shops,
    fetchingShop: loading.effects['global/fetchShop']
  };
}), _dec(_class =
/*#__PURE__*/
function (_Component) {
  function ShopList() {
    var _getPrototypeOf2;

    var _temp, _this;

    (0, _classCallCheck2.default)(this, ShopList);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return (0, _possibleConstructorReturn2.default)(_this, (_temp = _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(ShopList)).call.apply(_getPrototypeOf2, [this].concat(args))), (0, _defineProperty2.default)((0, _defineProperty2.default)((0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      toggle: false
    }), "handleToggle", function () {
      _this.setState({
        toggle: !_this.state.toggle
      });
    }), "handleClickShop", function (id) {
      console.log('handleClickShop====================================');
      console.log(id);
      console.log('handleClickShop====================================');
    }), _temp));
  }

  (0, _createClass2.default)(ShopList, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      var dispatch = this.props.dispatch;
      dispatch({
        type: "global/fetchShop"
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var toggle = this.state.toggle;
      var _this$props = this.props,
          shops = _this$props.shops,
          fetchingShop = _this$props.fetchingShop;
      if (!shops || !shops.length) return '';
      var thisShop = shops.find(function (shop) {
        return shop && shop.selected;
      });

      var menu = _react.default.createElement("ul", {
        className: _styles.default.shop
      }, shops.map(function (_ref2) {
        var id = _ref2.id,
            selected = _ref2.selected,
            shopLogo = _ref2.shopLogo,
            shopName = _ref2.shopName;
        return _react.default.createElement("li", {
          key: id,
          className: selected ? _styles.default.shop__item__selected : _styles.default.shop__item,
          onClick: function onClick() {
            return _this2.handleClickShop(id);
          }
        }, shopLogo ? _react.default.createElement(_antd.Avatar, {
          src: shopLogo,
          alt: shopName
        }) : _react.default.createElement(_antd.Icon, {
          type: "shop"
        }), _react.default.createElement("span", {
          className: _styles.default.shop__item__name
        }, selected ? '(当前)' + shopName : shopName));
      }));

      return _react.default.createElement("div", {
        className: _styles.default.shops__wrapper
      }, _react.default.createElement(_antd.Spin, {
        spinning: fetchingShop
      }, _react.default.createElement("span", {
        className: _styles.default.shops__current
      }, _react.default.createElement(_antd.Popover, {
        content: menu,
        placement: "bottomRight",
        trigger: "click",
        visible: toggle && shops.length >= 2
      }, _react.default.createElement(_Ellipsis.default, {
        length: 12,
        tooltip: thisShop.shopName
      }, thisShop.shopName))), shops.length >= 2 && _react.default.createElement(_antd.Tooltip, {
        title: "\u70B9\u51FB\u5207\u6362\u95E8\u5E97"
      }, _react.default.createElement(_antd.Icon, {
        onClick: function onClick(e) {
          e.preventDefault();

          _this2.handleToggle();
        },
        style: {
          marginLeft: 5
        },
        type: toggle ? "up" : "down"
      }))));
    }
  }]);
  (0, _inherits2.default)(ShopList, _Component);
  return ShopList;
}(_react.Component)) || _class);
exports.default = ShopList;