"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

require("rc-drawer/assets/index.css");

var _react = _interopRequireDefault(require("react"));

var _rcDrawer = _interopRequireDefault(require("rc-drawer"));

var _SiderMenu = _interopRequireDefault(require("./SiderMenu"));

var SiderMenuWrapper = function SiderMenuWrapper(props) {
  var isMobile = props.isMobile,
      collapsed = props.collapsed,
      onCollapse = props.onCollapse;
  return isMobile ? _react.default.createElement(_rcDrawer.default, {
    open: !collapsed,
    level: null // getContainer={null}
    ,
    handleChild: _react.default.createElement("i", {
      className: "drawer-handle-icon"
    }),
    onHandleClick: function onHandleClick() {
      onCollapse(!collapsed);
    },
    onMaskClick: function onMaskClick() {
      onCollapse(true);
    }
  }, _react.default.createElement(_SiderMenu.default, (0, _extends2.default)({}, props, {
    isMobile: isMobile,
    collapsed: isMobile ? false : collapsed
  }))) : _react.default.createElement(_SiderMenu.default, props);
};

var _default = SiderMenuWrapper;
exports.default = _default;