"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUserInfo = getUserInfo;
exports.getShopInfo = getShopInfo;
exports.getMenusInfo = getMenusInfo;
exports.switchUserShop = switchUserShop;
exports.logout = void 0;

var _http = _interopRequireDefault(require("../http"));

var _const = require("./const");

function getUserInfo() {
  return _http.default.get("".concat(_const.ADMIN_HOST, "/user/info"));
}

function getShopInfo() {
  return _http.default.get("".concat(_const.ADMIN_HOST, "/user/authList"));
}

function getMenusInfo() {
  return _http.default.get("".concat(_const.ADMIN_HOST, "/menu/getUserMenu"));
}
/**
 * 用户手动切换商家
 * @param {Object} params
 *  @props {Int} shopId
 */


function switchUserShop(params) {
  return _http.default.get("".concat(_const.ADMIN_HOST, "/auth/switchUserShop"), {
    params: params
  });
}
/**
 * 用户登出
 * server clear Token
 */


var logout = function logout() {
  return _http.default.get("".concat(_const.ADMIN_HOST, "/auth/logout"));
};

exports.logout = logout;